%global packname  stringi
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.1.7
Release:          2%{?dist}
Summary:          Character String Processing Facilities

License:          BSD
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-tools, R-utils, R-stats
# Suggests:
# LinkingTo:
# Enhances:

Requires:         R-tools
Requires:         R-utils
Requires:         R-stats
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-tools
BuildRequires:    R-utils
BuildRequires:    R-stats
BuildRequires:    libicu-devel >= 52

%description
Allows for fast, correct, consistent, portable, as well as convenient
character string/text processing in every locale and any native encoding.
Owing to the use of the ICU library, the package provides R users with
platform-independent functions known to Java, Perl, Python, PHP, and Ruby
programmers. Available features include: pattern searching (e.g., with ICU
Java-like regular expressions or the Unicode Collation Algorithm), random
string generation, case mapping, string transliteration, concatenation,
Unicode normalization, date-time formatting and parsing, etc.


%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}
%description devel
Development files for %{name}.


%prep
%setup -q -c -n %{packname}

# Remove bundled code.
rm -r %{packname}/src/icu55/
sed -i -e '/src\/icu55\//d' %{packname}/MD5


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname} \
    --configure-args="--disable-icu-bundle"
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/AUTHORS
%doc %{rlibdir}/%{packname}/CITATION
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs


%files devel
%{rlibdir}/%{packname}/include


%changelog
* Mon Apr 30 2018 Pete Walter <pwalter@fedoraproject.org> - 1.1.7-2
- Rebuild for ICU 61.1

* Wed Apr 25 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.7-1
- Update to latest version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 30 2017 Pete Walter <pwalter@fedoraproject.org> - 1.1.6-2
- Rebuild for ICU 60.1

* Sat Nov 18 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.1.6-1
- Update to latest release.

* Thu Aug 24 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.1.5-1
- initial package for Fedora
